Bug 146267 - nfsd oops on 2.6.10 FC2
nfsd oops on 2.6.10 FC2
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
2
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-01-26 11:13 EST by Paul Lindner
Modified: 2015-01-04 17:16 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-16 02:14:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Paul Lindner 2005-01-26 11:13:41 EST
System oops when multiple client nfs activity.

cfengine clients mount and write to this partition on the hour.  very small amounts of data.  
About a dozen clients to this server.

ext3 filesystem.

Machine is a Dell 2650 w/ 4GB memory and dual 3Ghz processors.

oops output below.


Version-Release number of selected component (if applicable):
kernel-2.6.10-1.9_FC2smp

How reproducible:
Didn't try

Steps to Reproduce:
only seen once so far.


Additional info:


Jan 26 06:00:40 10.0.50.7 kernel: Unable to handle kernel NULL pointer dereference at 
virtual addres
s 00000015 
Jan 26 06:00:40 10.0.50.7 kernel:  printing eip: 
Jan 26 06:00:40 10.0.50.7 kernel: f8a7fa0d 
Jan 26 06:00:40 10.0.50.7 kernel: *pde = 358c8001 
Jan 26 06:00:40 10.0.50.7 kernel: Oops: 0000 [#1] 
Jan 26 06:00:40 10.0.50.7 kernel: SMP  
Jan 26 06:00:40 10.0.50.7 kernel: Modules linked in: nfsd exportfs nfs lockd md5 ipv6 
autofs4 sunrpc
 tg3 floppy sg microcode dm_mod ohci_hcd video button battery ac ext3 jbd megaraid 
sd_mod scsi_mod 
Jan 26 06:00:40 10.0.50.7 kernel: CPU:    0 
Jan 26 06:00:40 10.0.50.7 kernel: EIP:    0060:[<f8a7fa0d>]    Not tainted VLI 
Jan 26 06:00:40 10.0.50.7 kernel: EFLAGS: 00010202   (2.6.10-1.9_FC2smp)  
Jan 26 06:00:40 10.0.50.7 kernel: EIP is at ip_map_lookup+0x97/0x2a7 [sunrpc] 
Jan 26 06:00:40 10.0.50.7 kernel: eax: ffffffff   ebx: 00000001   ecx: f3259f41   edx: 
db691c00 
Jan 26 06:00:40 10.0.50.7 kernel: esi: 00000015   edi: f3259f3c   ebp: f3259f28   esp: 
f3259ef0 
Jan 26 06:00:40 10.0.50.7 kernel: ds: 007b   es: 007b   ss: 0068 
Jan 26 06:00:40 10.0.50.7 kernel: Process nfsd (pid: 4281, threadinfo=f3259000 
task=f324b530) 
Jan 26 06:00:40 10.0.50.7 kernel: Stack: f8a9520c 00000000 00000000 000000c0 
f8b63e4c f3259f41 f4197
200 f8a800e5  
Jan 26 06:00:40 10.0.50.7 kernel:        00000000 000000c0 00000000 f419722c 
f4197264 f3259fa4 1f46b
a68 00000001  
Jan 26 06:00:40 10.0.50.7 kernel:        dead4ead 4b87ad6e c0125706 6473666e 
f3259f00 016e000a f4c5f
498 f2614e80  
Jan 26 06:00:40 10.0.50.7 kernel: Call Trace: 
Jan 26 06:00:40 10.0.50.7 kernel:  [<f8a800e5>] svcauth_unix_accept+0x1c2/0x275 
[sunrpc] 
Jan 26 06:00:40 10.0.50.7 kernel:  [<c0125706>] process_timeout+0x0/0x5 
Jan 26 06:00:40 10.0.50.7 kernel:  [<f8a7f3d1>] svc_authenticate+0x9d/0xa1 [sunrpc] 
Jan 26 06:00:40 10.0.50.7 kernel:  [<f8a7d00f>] svc_process+0x1a2/0x573 [sunrpc] 
Jan 26 06:00:40 10.0.50.7 kernel:  [<f8b4b361>] nfsd+0x191/0x2dd [nfsd] 
Jan 26 06:00:40 10.0.50.7 kernel:  [<f8b4b1d0>] nfsd+0x0/0x2dd [nfsd] 
Jan 26 06:00:40 10.0.50.7 kernel:  [<c01021f5>] kernel_thread_helper+0x5/0xb 
Jan 26 06:00:40 10.0.50.7 kernel: Code: 0c b8 08 33 a9 f8 e8 00 e2 83 c7 eb 0a b8 08 33 
a9 f8 e8 14 
e2 83 c7 8b 14 24 83 3a 00 0f 84 3f 01 00 00 8b 1a 8d 7d 14 8d 73 14 <ac> ae 
75 08 84 c0 75 f8 31 c0
 eb 04 19 c0 0c 01 85 c0 0f 85 14
Comment 1 Dave Jones 2005-04-16 02:14:17 EDT
Fedora Core 2 has now reached end of life, and no further updates will be
provided by Red Hat.  The Fedora legacy project will be producing further kernel
updates for security problems only.

If this bug has not been fixed in the latest Fedora Core 2 update kernel, please
try to reproduce it under Fedora Core 3, and reopen if necessary, changing the
product version accordingly.

Thank you.

Note You need to log in before you can comment on or make changes to this bug.